<?php
if(empty($fw_page_array)){
	if(substr($fw_pagename,-6)==='/index'){
		$page_dir=substr($fw_pagename,0,-5);
		$si_title=str_replace('_',' ',str_replace('-',' ',substr($page_dir,0,-1)));
		$fw_page_array=array('pagename'=>$page_dir.'index', 'title'=>$si_title, 'description'=>'List of pages in directory '.$page_dir);
		$fw_page_array['content']=$fw_db->get_directory($page_dir,'fw_blog/templates/simple/structure/list.txt');
	}
	elseif($fw_pagename==='contact'){
		$fw_page_array=array('content'=>file_get_contents('fw_blog/templates/simple/structure/contact.txt'), 'title'=>'Contact us');
	}
	elseif(($fw_pagename==='sitemap')&&($fw_site_array['sitemap']!=='')){
		$fw_page_array['title']='HTML Sitemap';
		$fw_page_array['content']=($fw_site_array['sitemap']=='T')? $fw_db->get_sitemap_tree():$fw_db->get_sitemap_list('fw_blog/templates/simple/structure/list.txt');
	}
	else{
		$fw_page_array=array('content'=>file_get_contents('fw_blog/templates/simple/structure/error.txt'), 'title'=>'Page not found');
	}
}
include 'fw_blog/templates/simple/head.php';
?>
<div id="fw_main">
<div id="fw_mainbody">
<?php
//Display page content from database (for post).
if(isset($fw_page_array['content'])){
	if(!empty($fw_page_array['content'])){echo $fw_page_array['content'];}
	else{
		if(substr($fw_pagename,-6)==='/index'){
		$page_dir=substr($fw_pagename,0,-5);
		$fw_page_array['content']=$fw_db->get_directory($page_dir,'fw_blog/templates/simple/structure/list.txt');}
	}
}
//Include content file from page directory (for page).
elseif(file_exists("fw_blog/pages/".str_replace("/", ".",$fw_pagename).".php")){include "fw_blog/pages/".str_replace("/", ".",$fw_pagename).".php";}
//Include user comments.
if(isset($fw_page_array['id'])){$comments=$fw_db->get_comments($fw_page_array['id'],'fw_blog/templates/simple/structure/comment.txt');}
if((!empty($comments))||(!empty($fw_page_array['allowcomments']))){
echo '<div id="fw_comments"><a name="comments"></a>'.((empty($comments))? '':'<div id="fw_commentbar">COMMENTS:</div>'.$comments);
echo '<p style="text-align:right;">';
echo (empty($fw_page_array['allowcomments']))? '<a class="lockedbutton" name="addcomment" href="javascript:alert(\'This page has been locked by the administrator\')">Locked</a>':'<a class="commentbutton" name="addcomment" href="javascript:fwAddComment('.$fw_page_array['id'].')">Add comment</a>';
echo '</p></div>';}
?>
</div>
<div id="fw_left">
<?php echo $fw_db->menu($fw_pagename);?>
</div>

<div id="fw_top"><div>
<img style="clear:left;float:left;margin:15px 0 5px 15px;" src="<?php echo BLOG_URL.'fw_blog/templates/simple/images/';?>logo.gif" />
<div style="float:right;clear:right;margin:30px 10px 10px 10px;">
<?php
//Include search form.
$searchform=$fw_db->get_addon('searchform');
if(!empty($searchform)){echo $searchform;}
?>
</div>
</div>
<div id="fw_topmenu">
<?php
$topmenu='<ul style="float:left;clear:left;"><li><a href="http://'.getenv('HTTP_HOST').'/">Home</a></li>';
if(DOCROOT!='/'){$topmenu.='<li><a href="'.BLOG_URL.'index.html">Blog</a></li>';}
$topmenu.='<li><a href="'.BLOG_URL.'about.html">About</a></li>';
if($fw_site_array['sitemap']!==''){$topmenu.='<li><a href="'.BLOG_URL.'sitemap.html">Sitemap</a></li>';}
$topmenu.='<li><a href="'.BLOG_URL.'terms-of-use.html">Terms of use</a></li></ul>';
$topmenu.='<ul style="float:right;clear:none;"><li><a href="'.BLOG_URL.'contact.html">Contact</a></li>';
$topmenu.='<li><a target="_blank" href="'.BLOG_URL.'fw_blog/atom.php">Atom</a></li>';
if((@array_key_exists('allowcomments',$fw_page_array))&&($fw_page_array['allowcomments'])){$topmenu.='<li><a href="javascript:fwAddComment('.$fw_page_array['id'].')">Add comment</a></li>';}
$topmenu.='<li><a target="_blank" href="'.BLOG_URL.'fw_blog/admin/index.php">Admin</a></li>';
if($fw_db->edit){$topmenu.='<li><a href="javascript:fwEditPage('.$fw_page_array['id'].')">Edit this page</a></li>';}
$topmenu.='</ul>';
echo $topmenu;
?>
</div>
</div>
<?php
if($fw_db->totalpage>1){
$page=fw_get_querydata('fw_pageno');
if(!$page){$page=1;}
echo '<div id="fw_pageblock"><b>Total Pages:&nbsp;'.$fw_db->totalpage.'</b>&nbsp;&nbsp;';
for($i=1; $i<=$fw_db->totalpage; $i++){
	echo (($i==$page)? '<span>'.$i.'</span>' : '<a href="'.BLOG_URL.$fw_pagename.'.html'.(($i==1)? '':'?fw_pageno='.$i).'">'.$i.'</a>');}
echo '</div>';
}
?>
<div id="fw_footer">
<div style="margin-left:250px;padding:5px 10px;border-left:2px solid #999;color:#666;">
&copy; 2010,&nbsp;&nbsp;<a href="<?php echo 'http://'.$_SERVER['HTTP_HOST']; ?>"><?php echo 'http://'.$_SERVER['HTTP_HOST']; ?></a>&nbsp;&nbsp;&nbsp;All rights reserved.
<br />Powered by: <a href="http://ramui.com/">Ramui webblog</a>&reg;&nbsp;Version 5.0</div></div>
</div>
<?php if(!empty($fw_db->script)){?>
<script type="text/javascript">
<?php echo $fw_db->script;?>
</script>
<?php }?>
</body>
</html>